com.taosdata.jdbc

## Class TSDBSubscribe

- java.lang.Object
- - com.taosdata.jdbc.TSDBSubscribe

    public class TSDBSubscribe
    extends Object

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close(boolean keepProgress)` close subscription
`TSDBResultSet` `consume()` consume

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### consume

    public TSDBResultSet consume()
                          throws SQLException

consume

Throws:
  `SQLException`

#### close

    public void close(boolean keepProgress)
               throws SQLException

close subscription

Throws:
  `SQLException`